% 1. CLEAR ALL INCLDING FIGURES

clear all; clc
  fh=findall(0,'type','figure');
for i=1:length(fh)
     close(fh(i));
end

% 2. LOAD DATA 

% 1) From 11 May 2006 to the end of May 2007 
load 060511to070531.mat
% 2) From 11 May 2006 to 12 September 2008 
%load 060511to080912.mat


i_m =data_1y(:,1);
i_star = data_1y(:,2);
i_gap = (i_m - i_star);
[n,c]=size(i_m); % number of sample

s_D=0.25;s=s_D;   % This is s_D = s_L
s_L=0.25;
F_RT=zeros(n,1);
stigma=zeros(n,1);

t=100; % number of simulation
ThreeDdata = zeros(100,2,t);
for j=1:t; % start the repetition

% 3. DRAW AN EMPIRICAL DISTRIBUTION

for i=1:n
r = pearsrnd(0,std(i_gap),0,3,n,1);% normal distribution
countnega_norm(i)=sum(r<0);
F_RT(i)=countnega_norm(i) / n;
stigma(i)=(i_gap(i) + s_D)/ F_RT(i) - 2*s_D;
i=i+1;
end

% 4. Now calculate stigma distribution

%figure
[fx1,x1]=ksdensity(stigma);

hold on
plot(x1,fx1, 'Color','blue','LineWidth',0.001)
% If 2) is selected. 
%plot(x1,fx1, 'Color','red','LineWidth',0.001)

x1=x1'; fx1=fx1';
ThreeDdata(:,1,j) = x1;
ThreeDdata(:,2,j) = fx1;
Stigma(:,j)=stigma;


%----------
j=j+1;
end; %end of repetition
hold off;